Skip to main content
POST
/
api
/
ecosystems
Create a new ecosystem
curl --request POST \
  --url https://api-next.dealroom.co/api/ecosystems \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "slug": "dutch-fintech",
  "name": "Dutch Fintech",
  "description": "Fintech companies headquartered in the Netherlands.",
  "filter": "and(is_company[eq]:true,location[eq]:165,tag_id[in_any]:42)",
  "region": "EU"
}
'
{
  "data": {
    "id": 123,
    "slug": "<string>",
    "name": "<string>",
    "description": "<string>",
    "filter": "<string>",
    "region": "<string>",
    "image_url": "<string>",
    "partner_logos": [
      {
        "name": "<string>",
        "url": "<string>",
        "image_url": "<string>"
      }
    ],
    "tabs_config": {},
    "is_active": true,
    "sort_order": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.beta.dealroom.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Auth0 JWT access token. Paste a token obtained from your preferred OAuth2 flow. For machine-to-machine use, the OAuth2 client_credentials scheme below can mint a token directly from your client_id / client_secret inside the Swagger UI Authorize dialog.

Body

application/json
slug
string
required
Required string length: 1 - 100
Pattern: ^[a-z0-9-]+$
name
string
required
Required string length: 1 - 200
filter
string
required
Minimum string length: 1
description
string
region
string
image_url
string
partner_logos
object[]
tabs_config
object
sort_order
integer

Response

Created ecosystem

data
object
required